﻿<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="Default.aspx.vb" Inherits="MindFusion.Scheduling.Samples.VB.Events._Default" %>

<%@ Register Assembly="MindFusion.Scheduling.WebForms" Namespace="MindFusion.Scheduling.WebForms"
	TagPrefix="MindFusion" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
<title>MindFusion WebPlanner Sample - Events</title>
	<link href="common/jquery-ui.min.css" rel="stylesheet" />
	<link href="common/samples.css" rel="stylesheet" />
	<script type="text/javascript" src="common/jquery.min.js"></script>
	<script type="text/javascript" src="common/jquery-ui.min.js"></script>
	<script type="text/javascript" src="common/samples.js"></script>
	<style type="text/css">
		#menu
		{
			width: 100px;
			height: 60px;
			padding: 5px;
			border: thin solid #808080;
			border-left: 20px solid #cccccc;
			background-color: White;
			z-index: 9999;
		}
		#clientEvents
		{
			width: 100%;
			height: 115px;
		}
		textarea
		{
			font-family: "Arial" , "Helvetica" , sans-serif;
			font-size: small;
		}
	</style>
	<script type="text/javascript">

	    function addEvent(text)
	    {
	        var ce = $get('clientEvents');
	        ce.value = toMilliseconds() + ' ' + text + '\n' + ce.value;
	    }
	    //make a time-stamp in a friendly format
	    function toMilliseconds()
	    {
	        var datetime = new Date().format('HH:mm:ss:fff');
	        return datetime;
	    }

	    //record some event info to be displayed in the list control
	    function onCalendarLoad(sender)
	    {
	        addEvent('Client event fired: onCalendarLoad');
	        var apb = sender.get_autoPostBack();
	        if (apb)
	        {
	            $get('serverEventsDiv').style.display = '';
	            $get('serverEventsSp').style.display = 'none';
	            $get('clientEventsDiv').style.display = 'none';
	            $get('clientEventsSp').style.display = '';
	        }
	        else
	        {
	            $get('serverEventsDiv').style.display = 'none';
	            $get('serverEventsSp').style.display = '';
	            $get('clientEventsDiv').style.display = '';
	            $get('clientEventsSp').style.display = 'none';
	        }
	    }

	    function onRecurringItemDeleting(sender, args)
	    {
	        addEvent('Client event fired: onRecurringItemDeleting');
	    }
	    function onItemMouseUp(sender, args)
	    {
	        addEvent('Client event fired: onItemMouseUp');
	    }
	    function onItemClick(sender, args)
	    {
	        addEvent('Client event fired: onItemClick');
	    }
	    function onItemMouseDown(sender, args)
	    {
	        addEvent('Client event fired: onItemMouseDown');
	    }
	    function onItemDragStart(sender, args)
	    {
	        addEvent('Client event fired: onItemDragStart');
	    }
	    function onItemDragEnd(sender, args)
	    {
	        addEvent('Client event fired: onItemDragEnd');
	    }
	    function onItemResizeStart(sender, args)
	    {
	        addEvent('Client event fired: onItemResizeStart');
	    }
	    function onItemResizeEnd(sender, args)
	    {
	        addEvent('Client event fired: onItemResizeEnd');
	    }
	    function onSelectionStart(sender, args)
	    {
	        addEvent('Client event fired: onSelectionStart');
	    }
	    function onSelectionEnd(sender, args)
	    {
	        addEvent('Client event fired: onSelectionEnd');
	    }
	    function onMoreItemsCueMouseDown(sender, args)
	    {
	        addEvent('Client event fired: onMoreItemsCueMouseDown');
	    }
	    function onMoreItemsCueMouseUp(sender, args)
	    {
	        addEvent('Client event fired: onMoreItemsCueMouseUp');
	    }
	    function onDoubleClick(sender, args)
	    {
	        addEvent('Client event fired: onDoubleClick');
	    }
	    function onDateClick(sender, args)
	    {
	        addEvent('Client event fired: onDateClick');
	    }
	    function onMonthHeaderClick(sender, args)
	    {
	        addEvent('Client event fired: onMonthHeaderClick');
	    }
	    function onTimetableColumnHeaderClick(sender, args)
	    {
	        addEvent('Client event fired: onTimetableColumnHeaderClick');
	    }
	    function onItemCreating(sender, args)
	    {
	        addEvent('Client event fired: onItemCreating');
	    }
	    function onItemDeleting(sender, args)
	    {
	        addEvent('Client event fired: onItemDeleting');
	    }
	    function onSelectionChanged(sender, args)
	    {
	        addEvent('Client event fired: onSelectionChanged');
	    }
	    function Button1_onclick()
	    {
	        var ce = $get('clientEvents');
	        ce.value = '';
	    }

	</script>
</head>
<body>
	<form id="form2" runat="server">
	<asp:ScriptManager ID="ScriptManager2" runat="server">
	</asp:ScriptManager>
	<input type="hidden" id="collapsed" runat="server" />
	<div id="header" style="height: 49px;">
		<div style="float: left;">
			<span class="label">View:</span>
			<asp:DropDownList ID="ddlViews" runat="server" AutoPostBack="True" OnSelectedIndexChanged="ddlViews_SelectedIndexChanged">
				<asp:ListItem>Single month</asp:ListItem>
				<asp:ListItem>Timetable</asp:ListItem>
			</asp:DropDownList>
			<asp:CheckBox ID="CheckBox1" runat="server" AutoPostBack="True" Checked="True" OnCheckedChanged="CheckBox1_CheckedChanged"
				Text="AutoPostBack" />
		</div>
		<div style="float: right; margin-right: 5px; margin-top: 17px;">
			<button id="expandButton" onclick="onExpandCollapse()">
				&gt;</button>
		</div>
	</div>
	<div id="info" style="top: 60px; bottom: 24px;">
		<div id="infoTab" style="padding: 10px;">
			<h1>
				About this sample</h1>
			<p>
				This sample demonstrates some of the client and server events of the control. You
				can try and experiment with the calendar and observe the result in the list. Some
				of the events are omitted for clarity, but you could easily add handlers for them
				if you want to.
			</p>
		</div>
	</div>
	<div id="content" style="top: 60px; bottom: 24px;">
		<div style="position: absolute; left: 0px; top: 0px; bottom: 0px; right: 0px">
			<div style="position: absolute; left: 0px; top: 0px; right: 0px; height: 182px; background-color: #fafafa;
				border-bottom: 1px solid #e2e4e7; border-right: 1px solid #e2e4e7;">
				<div style="overflow: hidden; height: 100%; margin: 1px; padding: 5px;">
					<div id="clientEventsDiv">
						<asp:Label ID="Label1" runat="server" Text="Client events"></asp:Label>
						<input id="Button1" type="button" value="Clear" onclick="return Button1_onclick()" />
						<textarea id="clientEvents" rows="4" cols="1" style="margin-top: 5px"></textarea>
					</div>
					<span id="serverEventsSp" style="margin-top: 5px; font-style: italic;">To view server
						side events, turn on AutoPostBack.</span>
					<div id="serverEventsDiv">
						<asp:Label ID="Label4" runat="server" Text="Server events"></asp:Label>
						<asp:Button ID="btnClearList" runat="server" OnClick="btnClearList_Click" Text="Clear" />
						<asp:ListBox ID="lbEvents" runat="server" Width="100%" Height="102px" Style="margin-top: 5px"
							AutoPostBack="True" />
					</div>
					<span id="clientEventsSp" style="margin-bottom: 5px; font-style: italic;">To view client
						side events, turn off AutoPostBack.</span>
				</div>
			</div>
			<div style="position: absolute; left: 0px; top: 183px; right: 0px; bottom: 0px">
				<MindFusion:Calendar ID="Calendar1" runat="server" Height="100%" Theme="Vista" Width="100%"
					CurrentView="SingleMonth" CalendarLoadScript="onCalendarLoad" ItemDeletingScript="onItemDeleting"
					ItemCreatingScript="onItemCreating" TimetableColumnHeaderClickScript="onTimetableColumnHeaderClick"
					ItemClickScript="onItemClick" DateClickScript="onDateClick" DoubleClickScript="onDoubleClick"
					ItemDragEndScript="onItemDragEnd" ItemDragStartScript="onItemDragStart" ItemResizeStartScript="onItemResizeStart"
					ItemResizeEndScript="onItemResizeEnd" ItemMouseDownScript="onItemMouseDown" ItemMouseUpScript="onItemMouseUp"
					OnItemCreated="Calendar1_ItemCreated" OnItemDeleted="Calendar1_ItemDeleted" MoreItemsCueMouseDownScript="onMoreItemsCueMouseDown"
					MoreItemsCueMouseUpScript="onMoreItemsCueMouseUp" RecurringItemDeletingScript="onRecurringItemDeleting"
					SelectionEndScript="onSelectionEnd" SelectionStartScript="onSelectionStart" SelectionChangedScript="onSelectionChanged"
					MonthHeaderClickScript="onMonthHeaderClick" OnVisibleDateChanged="Calendar1_VisibleDateChanged"
					OnItemModified="Calendar1_ItemModified" OnItemInplaceEdited="Calendar1_ItemInplaceEdited">
					<TimetableSettings ShowNavigationButtons="Enabled">
						<Dates>
							<MindFusion:TimetableDate Value="2011-01-01" />
						</Dates>
					</TimetableSettings>
					<MonthSettings HeaderStyle="Title, MonthButtons, YearButtons">
					</MonthSettings>
				</MindFusion:Calendar>
			</div>
		</div>
	</div>
	<div id="footer" style="height: 24px;">
		<span id="copyright"></span>
	</div>
	<script type="text/javascript">

	    $('#ddlViews').on("selectmenuchange", function ()
	    {
	        __doPostBack();
	    });
	
	</script>
	</form>
</body>
</html>
